#import sys
#import peri
#import practicum
from Tkinter import *

b1 = "up"
xold, yold = None, None

r = int(raw_input("Enter R: "))
g = int(raw_input("Enter G: "))
b = int(raw_input("Enter b: "))

#color
def dth(x):
    return hex(x+256)[-2:]
def codecolor(r,g,b):
    return '#'+dth(r)+dth(g)+dth(b)

def main():
    root = Tk()
    root.title('Magic brush')
    root.geometry('800x800+500+300')
    drawing_area = Canvas(root,height = 800,width = 800)
    drawing_area.pack()
    drawing_area.bind("<Motion>", motion)
    drawing_area.bind("<ButtonPress-1>", b1down)
    drawing_area.bind("<ButtonRelease-1>", b1up)
    root.mainloop()

def b1down(event):
    global b1
    b1 = "down"           # you only want to draw when the button is down
                          # because "Motion" events happen -all the time-

def b1up(event):
    global b1, xold, yold
    b1 = "up"
    xold = None           # reset the line when you let go of the button
    yold = None

def motion(event):
    if b1 == "down":
        global xold, yold
        if xold is not None and yold is not None:
            event.widget.create_line(xold,yold,event.x,event.y,smooth=TRUE,fill = codecolor(int(r),int(g),int(b)),width=4)
                          # here's where you draw it. smooth. neat.
        xold = event.x
        yold = event.y

if __name__ == "__main__":
    main()
